View Issue Details

IDProjectCategoryView StatusLast Update
0003800TechDraw[FreeCAD] Bugpublic2019-02-14 20:44
ReporteruwestoehrAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003800: wrong PDF page size on exporting tech drawings
DescriptionI stumbled above a bug in FreeCAD
Windows 7 64-bit
Version: 0.18.15694 (Git)

- create a drawing from a body of your choice and select as template "A2_Landscape_ISO7200TD.svg"
- use the menu File -> Export and export the drawing to a PDF

result: the resulting PDF is neither in the format A2 nor landscape - it is A4 portrait

I know that I can use instead the menu File -> Export PDF but the menu File -> Export should work as well.

p.s. I tried to report this first to the Open discussion forum but the software only tells me "You cannot make another post so soon after your last." but
https://forum.freecadweb.org/search.php?search_id=egosearch
tells me that I have not made any post. (which is obviously correct)

p.p.s Forum post: https://forum.freecadweb.org/viewtopic.php?f=35&t=33760
TagsTechDraw

Activities

uwestoehr

2019-01-27 14:42

developer   ~0012533

Hmm, now after a few hours my forum post went through:
https://forum.freecadweb.org/viewtopic.php?f=35&t=33760

Kunda1

2019-01-29 18:26

administrator   ~0012557

Assigning to wandererfan

wmayer

2019-02-14 20:44

administrator   ~0012640

https://github.com/FreeCAD/FreeCAD/commit/a2bca22fc9dbc3cbecc210bbf41d0c920f34f036

Issue History

Date Modified Username Field Change
2019-01-27 03:47 uwestoehr New Issue
2019-01-27 03:47 uwestoehr Tag Attached: TechDraw
2019-01-27 14:42 uwestoehr Note Added: 0012533
2019-01-29 18:26 Kunda1 Description Updated View Revisions
2019-01-29 18:26 Kunda1 Assigned To => wandererfan
2019-01-29 18:26 Kunda1 Status new => assigned
2019-01-29 18:26 Kunda1 Note Added: 0012557
2019-02-14 20:44 wmayer Status assigned => closed
2019-02-14 20:44 wmayer Resolution open => fixed
2019-02-14 20:44 wmayer Fixed in Version => 0.18
2019-02-14 20:44 wmayer Note Added: 0012640